Type (Java Debug Interface)

Overview | Package | Class | Use | Tree | Index | Help

Java Debug Interface

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jdi
Interface Type

All Superinterfaces:
  Mirror

All Known Subinterfaces:
  ArrayType, BooleanType, ByteType, CharType, ClassType, DoubleType, FloatType, IntegerType, InterfaceType, LongType, PrimitiveType, ReferenceType, ShortType, VoidType

public interface Type
extends Mirror

The mirror for a type in the target VM. This interface is the root of a type hierarchy encompassing primitive types and reference types.

A Type may be used to represent a run-time type:

> `Value`.type()

or a compile-time type:

> `Field.type()`
> `Method.returnType()`
> `Method.argumentTypes()`
> `LocalVariable.type()`
> `ArrayType.componentType()`

The following table illustrates which subinterfaces of Type are used to mirror types in the target VM --

Subinterfaces of `PrimitiveType`
Type declared in target as | Is mirrored as an instance of
`boolean` | `BooleanType`
`byte` | `ByteType`
`char` | `CharType`
`double` | `DoubleType`
`float` | `FloatType`
`int` | `IntegerType`
`long` | `LongType`
`short` | `ShortType`
`void` | `VoidType`
Subinterfaces of `ReferenceType`
Type declared in target as | For example | Is mirrored as an instance of
a class | `Date` | `ClassType`
an interface | `Runnable` | `InterfaceType`
an array |  | `ArrayType`
an array | `int[]` | `ArrayType` whose `componentType()` is `IntegerType`
an array | `Date[]` | `ArrayType` whose `componentType()` is `ClassType`
an array | `Runnable[]` | `ArrayType` whose `componentType()` is `InterfaceType`

Since:
  1.3
See Also:
  `Subinterface PrimitiveType`, `Subinterface ReferenceType`, `Value - for relationship between Type and Value`, `Field.type() - for usage examples`

Method Summary
`String` | `name()`
`String` | `signature()` Returns the JNI-style signature for this type.

Methods inherited from interface com.sun.jdi.Mirror
`toString, virtualMachine`

Method Detail

### signature

    public String signature()

  Returns the JNI-style signature for this type.

  For primitive classes the returned signature is the signature of the corresponding primitive type; for example, "I" is returned as the signature of the class represented by `Integer.TYPE`.

  Returns:
    the string containing the type signature.
  See Also:
    Type Signatures

### name

    public String name()

  Returns:
    a text representation of this type.

Overview | Package | Class | Use | Tree | Index | Help

Java Debug Interface

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD